/[suikacvs]/test/suikawebwww/style/def/uri.css
Suika

Contents of /test/suikawebwww/style/def/uri.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (hide annotations) (download) (as text)
Tue May 31 10:04:41 2005 UTC (21 years, 3 months ago) by wakaba
Branch: MAIN
File MIME type: text/css
New style sheets for XHTML 2 new namespace and URI-related definitions created

1 wakaba 1.1 @charset 'iso-2022-jp';
2    
3     dl.uri-equiv,
4     dl.urn-suika-sub-nid-def {
5     display: block;
6     margin-left: auto;
7     margin-right: auto;
8     width: 70%;
9     border: 4px orange solid;
10     -moz-border-radius: 20px;
11     padding: 0.4em 0.8em;
12     }
13    
14     dl.uri-equiv:before,
15     dl.urn-suika-sub-nid-def:before {
16     content: "$BDj5A(B";
17     display: block;
18     border-bottom: 4px orange solid;
19     margin-bottom: 0.3em;
20     font-weight: bolder;
21     }
22    
23     dl.uri-equiv > dt,
24     dl.urn-suika-sub-nid-def > dt {
25     display: block;
26     float: left;
27     clear: left;
28     width: 4em;
29     margin: 0 0.2em 0.5em 0;
30     border-style: none;
31     padding: 0.2em 0.2em 0.2em 0.5em;
32     list-style: none;
33     text-indent: 0;
34     font-weight: normal;
35     }
36    
37     dl.uri-equiv > dt:after,
38     dl.urn-suika-sub-nid-def > dt:after {
39     content: " :";
40     display: inline;
41     }
42    
43     dl.uri-equiv > dd,
44     dl.urn-suika-sub-nid-def > dd {
45     display: block;
46     margin: 0 0 0.5em 0;
47     border-style: none;
48     padding: 0.2em 0.5em;
49     text-indent: 0;
50     }
51    
52     /* URI Equivalence Property Definitions
53     <http://suika.fam.cx/admin/assign/urn#EQUIV> */
54    
55     dl.uri-equiv {
56     min-width: 11em;
57     }
58    
59     dl.uri-equiv:before {
60     content: "URI $BEy2A@-FC@-Dj5A(B";
61     }
62    
63     /* Suika URN sub-nid Templates
64     <http://suika.fam.cx/admin/assign/urn#TEMPLATE> */
65    
66     dl.urn-suika-sub-nid-def {
67     min-width: 21em;
68     }
69    
70     dl.urn-suika-sub-nid-def:before {
71     content: "$B@>1;(B URI $BItJ,L>A06u4VDj5A(B";
72     }
73    
74     dl.urn-suika-sub-nid-def > dt {
75     width: 10em;
76     }
77    
78     /* IETF Template-like Style */
79    
80     dl.urn-nid-def {
81     display: block;
82     margin-left: auto;
83     margin-right: auto;
84     border-style: none;
85     padding: 0;
86     width: 33em;
87     }
88    
89     dl.urn-nid-def > dt {
90     display: block;
91     float: none;
92     width: auto;
93     margin: 1em 0 0 0;
94     border-style: none;
95     padding: 0;
96     list-style: none;
97     text-indent: 0;
98     }
99    
100     dl.urn-nid-def > dt:after {
101     content: ":";
102     display: inline;
103     }
104    
105     dl.urn-nid-def > dd {
106     display: block;
107     float: none;
108     width: auto;
109     margin: 1em 0 0 1.5em;
110     border-style: none;
111     padding: 0;
112     text-indent: 0;
113     }
114    
115     /* URN NID Templates */
116    
117     dl.urn-nid-def > dd.registration-date {
118     margin-top: 0;
119     }
120    
121     dl.urn-nid-def > dd > dl {
122     display: block;
123     margin: 0;
124     border-style: none;
125     padding: 0;
126     }
127    
128     dl.urn-nid-def > dd > dl > dt {
129     display: block;
130     float: none;
131     margin: 0;
132     border-style: none;
133     padding: 0;
134     list-style: none;
135     text-indent: 0;
136     }
137    
138     dl.urn-nid-def > dd > dl > dd {
139     display: block;
140     float: none;
141     margin: 0 0 0 1.5em;
142     border-style: none;
143     padding: 0;
144     list-style: none;
145     text-indent: 0;
146     }
147    
148     /* License
149    
150     Copyright 2005 Wakaba <[email protected]>.
151    
152     This program is free software; you can redistribute it and/or modify
153     it under the terms of the GNU General Public License as published by
154     the Free Software Foundation; either version 2 of the License, or
155     (at your option) any later version.
156    
157     This program is distributed in the hope that it will be useful,
158     but WITHOUT ANY WARRANTY; without even the implied warranty of
159     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
160     GNU General Public License for more details.
161    
162     You should have received a copy of the GNU General Public License
163     along with this program; see the file COPYING. If not, write to
164     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
165     Boston, MA 02111-1307, USA.
166    
167     */
168    
169     /* $Date: 2004/11/16 07:38:24 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24